<div class="file2 browser">
  <menu-context
    v-ref:menu
    :items="menuItems"
    ></menu-context>
  <navbar
    :path="path"
    :loading="loading"
    :workspace-id="workspaceId"
    :view-id="view.id"
    :dir-names="dirNames"
    :path-edit.sync="pathEdit"
    ></navbar>
  <component
    :is="displayType"
    :dims="dims"
    :path="path"
    :items="limitedItems"
    ><div class="overflow" v-if="overflow">Only showing <b>{{limit}} of {{sortedItems.length}}</b> files for performance reasons. You can:<br/><ul
        ><li @click="filterStart">Filter files by name ({{filterKey}}).</li
        ><li @click="pathEdit = true">Directly type the desired directory path.</li
        ><li @click="limit += limitStep">Show {{limitStep}} more files.</li
        ><li @click="limit = Infinity">Show all files (slow!).</li
      ></ul></div
    ></component>
  <div
    v-show="filterActive"
    :class="{
      'filter': true,
      'error': filterError,
    }"
    >
    <span
      class="count"
      @click="filterStart"
      title="number of files hidden by the filter"
      ><i class="fa fa-filter"></i>{{filterNum}}</span>
    <input
      type="text"
      v-el:filter
      v-model="filterText"
      @keyup.esc="filterActive = false"
      title="examples: foo *.bar /ba[rz]/"
      >
    <button
      class="btn-nostyle"
      @click="filterActive = false"
      title="close"
      ><i class="fa fa-times"></i></button>
    <span
      class="error"
      >{{filterError}}</span>
  </div>
</div>
